[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.HasConstraints

Does the field have any constraints defined

## Declaration

Source position: db.pas line 431

`published property TField.HasConstraints : Boolean read FHasConstraints;`

## Description

HasConstraints will contain True if one of the CustomConstraint or ImportedConstraint properties is set to a non-empty value.

## See also

CustomConstraint |  | Custom constraint for the field's value
ImportedConstraint |  | Constraint for the field value on the level of the underlying database

Documentation generated on: Feb 26 2014